export ILCSOFT=/proj/soft/ilcsoft/v01-16


#--------------------------------------------------------------------------------
#     MySQL
#--------------------------------------------------------------------------------
export MYSQL_HOME="/proj/soft/ilcsoft/v01-16/mysql/osxws"
export MYSQL_LIBDIR="$MYSQL_HOME/lib/mysql"
export MYSQL_PATH="$MYSQL_HOME"
export MYSQL="$MYSQL_HOME"
export PATH="$MYSQL_HOME/bin:$PATH"
export LD_LIBRARY_PATH="$MYSQL_HOME/lib/mysql:$MYSQL_HOME/lib:$LD_LIBRARY_PATH"


#--------------------------------------------------------------------------------
#     Java
#--------------------------------------------------------------------------------
export JAVA_HOME="/proj/soft/ilcsoft/v01-16/java/Home"
export JDK_HOME="$JAVA_HOME"
export PATH="$JDK_HOME/bin:$PATH"
export LD_LIBRARY_PATH="$JDK_HOME/jre/lib/i386:$JDK_HOME/jre/lib/i386/client:$LD_LIBRARY_PATH"


#--------------------------------------------------------------------------------
#     CERNLIB
#--------------------------------------------------------------------------------
export CERN_ROOT="/proj/soft/ilcsoft/v01-16/cernlib/2006"
export CERN="/proj/soft/ilcsoft/v01-16/cernlib"
export CERN_LEVEL="2006"
export CVSCOSRC="$CERN_ROOT/src"
export PATH="$CERN_ROOT/bin:$PATH"


#--------------------------------------------------------------------------------
#     Geant4
#--------------------------------------------------------------------------------
export G4INSTALL="/proj/soft/ilcsoft/v01-16/geant4/9.5.p01"
export G4ENV_INIT="$G4INSTALL/bin/geant4.sh"
export G4SYSTEM="Darwin-g++"
export LD_LIBRARY_PATH="/usr/osxws/lib:$LD_LIBRARY_PATH"


#--------------------------------------------------------------------------------
#     ILCUTIL
#--------------------------------------------------------------------------------
export ilcutil="/proj/soft/ilcsoft/v01-16/ilcutil/v01-00"
export LD_LIBRARY_PATH="$ilcutil/lib:$LD_LIBRARY_PATH"


#--------------------------------------------------------------------------------
#     LCIO
#--------------------------------------------------------------------------------
export LCIO="/proj/soft/ilcsoft/v01-16/lcio/v02-03-01"
export PATH="$LCIO/tools:$LCIO/bin:$PATH"
export LD_LIBRARY_PATH="$LCIO/lib:$LD_LIBRARY_PATH"


#--------------------------------------------------------------------------------
#     CLHEP
#--------------------------------------------------------------------------------
export CLHEP="/proj/soft/ilcsoft/v01-16/CLHEP/osxws"
export CLHEP_BASE_DIR="$CLHEP"
export CLHEP_INCLUDE_DIR="$CLHEP/include"
export PATH="$CLHEP_BASE_DIR/bin:$PATH"
export LD_LIBRARY_PATH="$CLHEP_BASE_DIR/lib:$LD_LIBRARY_PATH"


#--------------------------------------------------------------------------------
#     ROOT
#--------------------------------------------------------------------------------
export ROOTSYS="/proj/soft/ilcsoft/v01-16/root/root_v5.34.02-macosx10.7-x86_64"
export PATH="$ROOTSYS/bin:$PATH"
export LD_LIBRARY_PATH="$ROOTSYS/lib:$LD_LIBRARY_PATH"


#--------------------------------------------------------------------------------
#     GEAR
#--------------------------------------------------------------------------------
export GEAR="/proj/soft/ilcsoft/v01-16/gear/v01-02-02"
export PATH="$GEAR/tools:$GEAR/bin:$PATH"
export LD_LIBRARY_PATH="$GEAR/lib:$LD_LIBRARY_PATH"


#--------------------------------------------------------------------------------
#     KalTest
#--------------------------------------------------------------------------------
export KALTEST="/proj/soft/ilcsoft/v01-16/KalTest/v01-05-01"
export LD_LIBRARY_PATH="$KALTEST/lib:$LD_LIBRARY_PATH"


#--------------------------------------------------------------------------------
#     Marlin
#--------------------------------------------------------------------------------
export MARLIN="/proj/soft/ilcsoft/v01-16/Marlin/v01-04"
export PATH="$MARLIN/bin:$PATH"
export MARLIN_DLL="/proj/soft/ilcsoft/v01-16/MarlinReco/v01-05/lib/libMarlinReco.dylib:/proj/soft/ilcsoft/v01-16/PandoraAnalysis/v00-04/lib/libPandoraAnalysis.dylib:/proj/soft/ilcsoft/v01-16/MarlinPandora/v00-09-02/lib/libMarlinPandora.dylib:/proj/soft/ilcsoft/v01-16/LCFIVertex/v00-06-01/lib/libLCFIVertex.dylib:/proj/soft/ilcsoft/v01-16/CEDViewer/v01-06-01/lib/libCEDViewer.dylib:/proj/soft/ilcsoft/v01-16/Overlay/v00-13/lib/libOverlay.dylib:/proj/soft/ilcsoft/v01-16/FastJetClustering/v00-02/lib/libFastJetClustering.dylib:/proj/soft/ilcsoft/v01-16/MarlinFastJet/v00-01/lib/libMarlinFastJet.dylib:/proj/soft/ilcsoft/v01-16/LCTuple/v01-01/lib/libLCTuple.dylib:/proj/soft/ilcsoft/v01-16/MarlinKinfit/v00-01-02/lib/libMarlinKinfit.dylib:/proj/soft/ilcsoft/v01-16/MarlinTrkProcessors/v01-09/lib/libMarlinTrkProcessors.dylib:/proj/soft/ilcsoft/v01-16/Clupatra/v00-09-01/lib/libClupatra.dylib:/proj/soft/ilcsoft/v01-16/LCFIPlus/v00-05-02/lib/libLCFIPlus.dylib:/proj/soft/ilcsoft/v01-16/ForwardTracking/v01-07/lib/libForwardTracking.dylib:/proj/cdc/soft/MarlinTPC/trunk/lib/libMarlinTPC.dylib:/proj/soft/ilcsoft/v01-16/Garlic/v2.10.1/lib/libGarlic.dylib:$MARLIN_DLL"


#--------------------------------------------------------------------------------
#     LCCD
#--------------------------------------------------------------------------------
export LCCD="/proj/soft/ilcsoft/v01-16/lccd/v01-02"


#--------------------------------------------------------------------------------
#     CondDBMySQL
#--------------------------------------------------------------------------------
export COND_DB_DEBUGLOG="/dev/stdout"
export CondDBMySQL="/proj/soft/ilcsoft/v01-16/CondDBMySQL/CondDBMySQL_ILC-0-9-5"
export LD_LIBRARY_PATH="$CondDBMySQL/lib:$LD_LIBRARY_PATH"


#--------------------------------------------------------------------------------
#     RAIDA
#--------------------------------------------------------------------------------
export RAIDA_HOME="/proj/soft/ilcsoft/v01-16/RAIDA/v01-06-02"
export PATH="$RAIDA_HOME/bin:$PATH"


#--------------------------------------------------------------------------------
#     GSL
#--------------------------------------------------------------------------------
export GSL_HOME="/proj/soft/ilcsoft/v01-16/gsl/osxws"
export PATH="$GSL_HOME/bin:$PATH"
export LD_LIBRARY_PATH="$GSL_HOME/lib:$LD_LIBRARY_PATH"


#--------------------------------------------------------------------------------
#     CED
#--------------------------------------------------------------------------------
export PATH="/proj/soft/ilcsoft/v01-16/CED/v01-07/bin:$PATH"


#--------------------------------------------------------------------------------
#     Mokka
#--------------------------------------------------------------------------------
export MOKKA="/proj/soft/ilcsoft/v01-16/Mokka/mokka-08-00-03"
export PATH="$MOKKA/bin:$PATH"


#--------------------------------------------------------------------------------
#     CEDViewer
#--------------------------------------------------------------------------------
export PATH="/proj/soft/ilcsoft/v01-16/CEDViewer/v01-06-01/bin:$PATH"


#--------------------------------------------------------------------------------
#     FastJet
#--------------------------------------------------------------------------------
export FastJet_HOME="/proj/soft/ilcsoft/v01-16/FastJet/2.4.2"
export PATH="$FastJet_HOME/bin:$PATH"
export LD_LIBRARY_PATH="$FastJet_HOME/lib:$LD_LIBRARY_PATH"


#--------------------------------------------------------------------------------
#     MarlinTPC
#--------------------------------------------------------------------------------
export MARLINTPC="/proj/cdc/soft/MarlinTPC/trunk"
export PATH="$MARLINTPC/bin:$PATH"


#--------------------------------------------------------------------------------
#     Druid
#--------------------------------------------------------------------------------
export DRUID="/proj/soft/ilcsoft/v01-16/Druid/1.8"
export PATH="$DRUID/bin:$PATH"


#--------------------------------------------------------------------------------
#     CMake
#--------------------------------------------------------------------------------
export PATH="/usr/osxws/bin:$PATH"

# --- source GEANT4 INIT script ---
test -r ${G4ENV_INIT} && { cd $(dirname ${G4ENV_INIT}) ; . ./$(basename ${G4ENV_INIT}) ; cd $OLDPWD ; }

# --- set DYLD_LIBRARY_PATH to LD_LIBRARY_PATH for MAC compatibility ---
export DYLD_LIBRARY_PATH=$LD_LIBRARY_PATH:$DYLD_LIBRARY_PATH

